<?php
ini_set('include_path', "/usr/local/lib/php/" . ini_get("include_path"));
require_once 'Net/Ping.php';

if (isset($_GET['hostname']))
    $hostName = htmlentities(substr(urldecode($_REQUEST['hostname']),0,1024));
else
    $hostName = "";

if (isset($_GET['transport']))
    $transport = htmlentities(substr(urldecode($_GET['transport']),0,1024));
else
    $transport = "";

$ping = Net_Ping::factory();
$ping->setArgs(array('count' => 3));
$pingResults = $ping->ping($hostName);
if (PEAR::isError($pingResults))
    $averageTime = -1;
else
    $averageTime = $pingResults->getAvg();

if ($averageTime == -1)
{
    $height = 1;
    $width = 1;
    $message = "$hostName is not running.  Try a different hostname or try again later.";
}
else
{
    $height = 2;
    $width = round($averageTime);
    if ($width == 0)
	$width = 1;
    $message = "$hostName is up and running.  The connection time was about " .  round($averageTime) . "ms.";
}

// send the right headers
header("Cache-Control: no-cache");
header("Pragma: no-cache");
if ($transport != "downgrade")
{
    header ("Content-type: image/png");

    $imageHandle = ImageCreate ($width, $height) or die ("Cannot Create image");
    $backColor = ImageColorAllocate ($imageHandle, 0, 0, 0);
    ImagePng ($imageHandle);
}
else
{

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Voting Results</title>
</head>
<body>
<?php echo $message ?>
</body>
</html>

<?php
}
?>

