<?php

// Where the file is going to be placed 
$max_size = 100000;
$msgfull = "";

// validate that the file is an image file and less than 100k
foreach ($_FILES as $file) 
{ 
    $target_path = "uploads/";
    $msg = "";
    $filename = $file['name'];
    $ext = substr($filename, strrpos($filename, '.') + 1);

    if ($ext != "gif" && $ext != "jpg" && $ext != "png")
    	$msg = "Error: " .  basename($filename).  " must be an image file with the .gif, .jpg, or .png extension.  <br />";
    else if ($file["size"] > $max_size)
	$msg = "Error: File " . basename($filename).  " is too large.  Please ensure file is less than 100Kb.  <br />"; 

    if ($msg == "")
    {
        /* Add the original filename to our target path.  
        Result is "uploads/filename.extension" */
        $target_path = $target_path . basename( $filename); 

        if (file_exists($target_path))
	{
	    $msg = "Error: The file " . basename($filename) . " already exists.  Please try a different file.  <br />"; 
        }
        else if(move_uploaded_file($file['tmp_name'], $target_path)) 
	{
            $msg =  "The file ".  basename($filename).  " has been uploaded. <br />";
            @chmod($target_path,0755);
        } 
        else
	{
            $msg =  "There was an unspecified error uploading the file " .  basename($filename).  ", please try again! <br />";
        }
    }

    $msgfull .= $msg;
}

echo $msgfull;
?>
