<?php

require_once('JSON.php');
$json = new Services_JSON();

if (!isset($_GET['feed']))
 $feed = "http://www.npr.org/rss/rss.php?id=1001";
else
 $feed = $_GET['feed'];

$callback = htmlentities(substr(urldecode(gpc("callback")),0,1024));

$dom = new DomDocument;
$dom->load($feed);

//make an XPath Object on the DomDomcument
$xp = new domxpath($dom);

//search for all title elements in the channel
$result = $xp->query("//item");
$jsonResponse = array();
foreach ($result as $item)
{
  $jsonItem = new ResponseData();
  $headline = $item->getElementsByTagName('title');
  $jsonItem->headline = $headline->item(0)->firstChild->data;
  $link = $item->getElementsByTagName('link');
  $jsonItem->link = $link->item(0)->firstChild->data;
  $jsonResponse[] = $jsonItem;
}

$jsonMessage = $json->encode($jsonResponse);
$jsonMessage = str_replace("'", "\'", $jsonMessage);
$message = "$callback('$jsonMessage');";

header("Cache-Control: no-cache");
header("Pragma: no-cache");

print $message;

function gpc($name)
{
    if (isset($_GET[$name]))
        return $_GET[$name];
    else if (isset($_POST[$name]))
        return $_POST[$name];
    else if (isset($_COOKIE[$name]))
        return $_COOKIE[$name];
    else
        return "";
}

class ResponseData
{
    public $headline = "";
    public $link = "";
}

?>
